#!/bin/sh

case $SBOX_UNAME_MACHINE in 
    '')        
        # Renice some applications that are exhausting the cpu and io 
        for APP in tracker contactsd fennec; do
            /usr/bin/pgrep $APP|/usr/bin/xargs $FAKEROOT /usr/bin/renice -n 20 -p
        done
        ;; 
     *) 
        echo "No Need to renice, running on emulated environment" 
        ;; 
esac

# Disable location-ui popup dialog that obstructs testing
if [ ! -e /tmp/meegoenv-firstrun ]; then 
    # try to prevent location-ui dialog from
    # popping up on top of window stack
    /bin/touch /home/user/.location_ok
    /bin/chown user:users /home/user/.location_ok
    /usr/bin/gconftool-2 --type=bool --set /com/nokia/positioningd/settings/LocationDisclaimerAccepted true
    #/usr/bin/gconftool-2 --type=bool --set /system/osso/connectivity/ui/auto_cancel_select_connection_dialog true
    # remove homescreen icon config to repopulate it
    #if [ -e /home/user/.config/duihome/launcherbuttons.data ]; then
    #    rm -f  /home/user/.config/duihome/launcherbuttons.data
    #fi
fi

# shutdown crash-reporter-ui
#if [ -e /tmp/STATE ]; then
#    if [ ! -e /tmp/meegoenv-firstrun ]; then
#        /sbin/stop xsession/crash-reporter-daemon
#    fi
#fi 

